Kwalitee Issues

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (30) does not match dist (27):
  • Duplicates in MANIFEST: Build.PL, LICENSE, META.json

meta_json_conforms_to_known_spec

Take a look at the META.json Spec at https://metacpan.org/pod/CPAN::Meta::History::Meta_1_4 (for version 1.4) or https://metacpan.org/pod/CPAN::Meta::Spec (for version 2), and change your META.json accordingly.

Error: Expected a list structure (license) [Validation: 2]

prereq_matches_use

List all used modules in META.yml requires

Error:

  • LWP::UserAgent
  • parent

Modules

Name Abstract Version View
LiBot The bot framework v0.0.2 metacpan
LiBot::Handler::CoreList Module::CoreList plugin metacpan
LiBot::Handler::IkachanForwarder metacpan
LiBot::Handler::Karma Karma bot metacpan
LiBot::Handler::LLEval lleval gateway metacpan
LiBot::Handler::PerldocJP Tell me link for perldoc.jp metacpan
LiBot::Handler::URLFetcher URL title fetcher metacpan
LiBot::Message The message object metacpan
LiBot::Provider::IRC metacpan
LiBot::Provider::Lingr Lingr provider for LiBot metacpan
LiBot::Test::Handler Testing utility for LiBot::Handler::* metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
README.md metacpan
cpanfile metacpan